


# variable started 0

if {![info exists started]} {variable started 0}

if {$started != 0} {

    do_click
}

if {$started == 0} {           ;#  first time load code and define local variables
    set started 1

    variable LogText ""
    variable LogFlag 0
    variable LogCount 0

    variable ShowLogFlag 0

    variable JS ""

   proc do_run {} {
     global errorInfo

    puts "starting test run"

      set z [catch {package require snmptools} m]

   puts "z=$z;  m=$m"

      puts "Opening..."
      set z [snmp session lo -v2c -Os -c public hvpsu]
   puts "z=$z"

      puts "walk.."
      set z [catch {lo walk -Cp WIENER-CRATE-MIB::outputVoltage} m]
    puts "z=$z;  m=$m"

      puts "walk.."
      set z [catch {lo walk -Cp WIENER-CRATE-MIB::outputMeasurementSenseVoltage} m]
    puts "z=$z;  m=$m"

      puts "walk.."
      set z [catch {lo walk -Cp WIENER-CRATE-MIB::outputMeasurementTerminalVoltage} m]
    puts "z=$z;  m=$m"

      puts "walk.."
      set z [catch {lo walk -Cp WIENER-CRATE-MIB::outputVoltageRiseRate} m]
    puts "z=$z;  m=$m"

      puts "walk.."
      set z [catch {lo walk -Cp WIENER-CRATE-MIB::outputVoltageFallRate} m]
    puts "z=$z;  m=$m"

      puts "walk.."
      set z [catch {lo walk -Cp WIENER-CRATE-MIB::outputStatus} m]
    puts "z=$z;  m=$m"


      puts "finishing.."
      puts "errorInfo=$errorInfo"

      puts "Closing.."
      lo  close

   puts "finished test run"

  }


   proc do_click {} {
       variable cgidata
       variable started
       variable LogFlag
       variable ShowLogFlag
       variable JS
       global env

       set cgidata [ncgi::nvlist]

       if {$LogFlag == 1} {InsertLog "cgidata= ([llength $cgidata]) $cgidata"}

       if {[llength $cgidata] == 0} then {return}

       if {[llength $cgidata] < 2} then {
           InsertLog "CGI data is too short: $cgidata"
       } else {
           if {[lindex $cgidata 0] != "Widget"} then {
               InsertLog "Invalid CGI data: $cgidata"
           } else {
               set w [lindex $cgidata 1]

               switch -glob [lindex $w 0] {

                   RESET    {set started 0}
                   RELOAD   {}

                   RUN      {do_run}

                   undefined {}
                   default {InsertLog "unexpected CGI data: [lindex $w 0]: $cgidata"}
               }
           }
       }
    }

}   ;# end of if {$started == 0}



