


proc SetASICREG2 {} {

#  Val input not active (permanently enabled)
#     side=0 electrons mode (N);  side=1 holes mode (P)

#    note clocks now 200 MHz

    foreach side {0 1} {
    if {$side == 0} {set charge 1} else {set charge 0}
    foreach asic {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15} {

       set i 1
       WriteR3BASICRegister [expr ($side << 18) + ($asic << 10) + $i]  [expr 0x30 + ($charge << 7)]
       switch $asic {
           0 -
           1 -
           2 -
           3 {
               set i 2
               WriteR3BASICRegister [expr ($side << 18) + ($asic << 10) + $i]  0x24
           }

           12 -
           13 -
           14 -
           15 {
               set i 2
               WriteR3BASICRegister [expr ($side << 18) + ($asic << 10) + $i]  0x54
           }

           default {
               set i 2
               WriteR3BASICRegister [expr ($side << 18) + ($asic << 10) + $i] 0x04
           }
        }
     }
     }
}

SetASICREG2
